Skip to content
Snippets Groups Projects
configure 658 KiB
Newer Older
  • Learn to ignore specific revisions
  • 			 || test ! -s conftest.err'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; } &&
    	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
      ac_cv_prog_cc_stdc=$ac_arg
    break
    else
      echo "$as_me: failed program was:" >&5
    
    sed 's/^/| /' conftest.$ac_ext >&5
    
    fi
    
    rm -f conftest.err conftest.$ac_objext
    
    rm -f conftest.$ac_ext conftest.$ac_objext
    
    
    case "x$ac_cv_prog_cc_stdc" in
      x|xno)
        echo "$as_me:$LINENO: result: none needed" >&5
    echo "${ECHO_T}none needed" >&6 ;;
    
        echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5
    echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
        CC="$CC $ac_cv_prog_cc_stdc" ;;
    
    # Some people use a C++ compiler to compile C.  Since we use `exit',
    # in C++ we need to declare it.  In case someone uses the same compiler
    # for both compiling C and C++ we need to have the C++ compiler decide
    # the declaration of exit, since it's the most demanding environment.
    cat >conftest.$ac_ext <<_ACEOF
    #ifndef __cplusplus
      choke me
    #endif
    _ACEOF
    rm -f conftest.$ac_objext
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
    	 { ac_try='test -z "$ac_c_werror_flag"
    			 || test ! -s conftest.err'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; } &&
    	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
      for ac_declaration in \
       '' \
       'extern "C" void std::exit (int) throw (); using std::exit;' \
       'extern "C" void std::exit (int); using std::exit;' \
       'extern "C" void exit (int) throw ();' \
       'extern "C" void exit (int);' \
       'void exit (int);'
    do
      cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    $ac_declaration
    #include <stdlib.h>
    int
    main ()
    {
    exit (42);
      ;
      return 0;
    }
    _ACEOF
    rm -f conftest.$ac_objext
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
    	 { ac_try='test -z "$ac_c_werror_flag"
    			 || test ! -s conftest.err'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; } &&
    	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
      :
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
    continue
    fi
    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
      cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    $ac_declaration
    int
    main ()
    {
    exit (42);
      ;
      return 0;
    }
    _ACEOF
    rm -f conftest.$ac_objext
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>conftest.er1
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
    	 { ac_try='test -z "$ac_c_werror_flag"
    			 || test ! -s conftest.err'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; } &&
    	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
      break
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
    fi
    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    rm -f conftest*
    if test -n "$ac_declaration"; then
      echo '#ifdef __cplusplus' >>confdefs.h
      echo $ac_declaration      >>confdefs.h
      echo '#endif'             >>confdefs.h
    fi
    
    else
      echo "$as_me: failed program was:" >&5
    sed 's/^/| /' conftest.$ac_ext >&5
    
    fi
    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    
    ac_ext=c
    ac_cpp='$CPP $CPPFLAGS'
    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    ac_compiler_gnu=$ac_cv_c_compiler_gnu
    DEPDIR="${am__leading_dot}deps"
    
    
              ac_config_commands="$ac_config_commands depfiles"
    
    
    
    am_make=${MAKE-make}
    cat > confinc << 'END'
    am__doit:
    	@echo done
    .PHONY: am__doit
    END
    # If we don't find an include directive, just comment out the code.
    
    echo "$as_me:$LINENO: checking for style of include used by $am_make" >&5
    echo $ECHO_N "checking for style of include used by $am_make... $ECHO_C" >&6
    
    am__include="#"
    am__quote=
    _am_result=none
    # First try GNU make style include.
    echo "include confinc" > confmf
    # We grep out `Entering directory' and `Leaving directory'
    # messages which can occur if `w' ends up in MAKEFLAGS.
    # In particular we don't look at `^make:' because GNU make might
    # be invoked under some other name (usually "gmake"), in which
    # case it prints its new name instead of `make'.
    if test "`$am_make -s -f confmf 2> /dev/null | grep -v 'ing directory'`" = "done"; then
       am__include=include
       am__quote=
       _am_result=GNU
    fi
    # Now try BSD make style include.
    if test "$am__include" = "#"; then
       echo '.include "confinc"' > confmf
       if test "`$am_make -s -f confmf 2> /dev/null`" = "done"; then
          am__include=.include
          am__quote="\""
          _am_result=BSD
       fi
    fi
    
    
    
    echo "$as_me:$LINENO: result: $_am_result" >&5
    echo "${ECHO_T}$_am_result" >&6
    
    # Check whether --enable-dependency-tracking or --disable-dependency-tracking was given.
    
    if test "${enable_dependency_tracking+set}" = set; then
    
      enableval="$enable_dependency_tracking"
    
    if test "x$enable_dependency_tracking" != xno; then
      am_depcomp="$ac_aux_dir/depcomp"
      AMDEPBACKSLASH='\'
    fi
    
    
    
    if test "x$enable_dependency_tracking" != xno; then
    
      AMDEP_TRUE=
      AMDEP_FALSE='#'
    else
      AMDEP_TRUE='#'
      AMDEP_FALSE=
    fi
    
    
    
    
    depcc="$CC"   am_compiler_list=
    
    
    echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
    echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6
    
    if test "${am_cv_CC_dependencies_compiler_type+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
    else
      if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
      # We make a subdir and do the tests there.  Otherwise we can end up
      # making bogus files that we don't know about and never remove.  For
      # instance it was reported that on HP-UX the gcc test will end up
      # making a dummy file named `D' -- because `-MD' means `put the output
      # in D'.
      mkdir conftest.dir
      # Copy depcomp to subdir because otherwise we won't find it if we're
      # using a relative directory.
      cp "$am_depcomp" conftest.dir
      cd conftest.dir
      # We will build objects and dependencies in a subdirectory because
      # it helps to detect inapplicable dependency modes.  For instance
      # both Tru64's cc and ICC support -MD to output dependencies as a
      # side effect of compilation, but ICC will put the dependencies in
      # the current directory while Tru64 will put them in the object
      # directory.
      mkdir sub
    
      am_cv_CC_dependencies_compiler_type=none
      if test "$am_compiler_list" = ""; then
         am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
      fi
      for depmode in $am_compiler_list; do
        # Setup a source with many dependencies, because some compilers
        # like to wrap large dependency lists on column 80 (with \), and
        # we should not choose a depcomp mode which is confused by this.
        #
        # We need to recreate these files for each test, as the compiler may
        # overwrite some of them when testing with obscure command lines.
        # This happens at least with the AIX C compiler.
        : > sub/conftest.c
        for i in 1 2 3 4 5 6; do
          echo '#include "conftst'$i'.h"' >> sub/conftest.c
          # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
          # Solaris 8's {/usr,}/bin/sh.
          touch sub/conftst$i.h
        done
        echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
    
        case $depmode in
        nosideeffect)
          # after this tag, mechanisms are not by side-effect, so they'll
          # only be used when explicitly requested
          if test "x$enable_dependency_tracking" = xyes; then
    	continue
          else
    	break
          fi
          ;;
        none) break ;;
        esac
        # We check with `-c' and `-o' for the sake of the "dashmstdout"
        # mode.  It turns out that the SunPro C++ compiler does not properly
        # handle `-M -o', and we need to detect this.
        if depmode=$depmode \
           source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
           depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
           $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
             >/dev/null 2>conftest.err &&
           grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
           grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
           ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
          # icc doesn't choke on unknown options, it will just issue warnings
          # or remarks (even with -Werror).  So we grep stderr for any message
          # that says an option was ignored or not supported.
          # When given -MP, icc 7.0 and 7.1 complain thusly:
          #   icc: Command line warning: ignoring option '-M'; no argument required
          # The diagnosis changed in icc 8.0:
          #   icc: Command line remark: option '-MP' not supported
          if (grep 'ignoring option' conftest.err ||
              grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
            am_cv_CC_dependencies_compiler_type=$depmode
            break
          fi
        fi
      done
    
      cd ..
      rm -rf conftest.dir
    else
      am_cv_CC_dependencies_compiler_type=none
    fi
    
    fi
    
    echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5
    echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6
    
    CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
    
    
      test "x$enable_dependency_tracking" != xno \
      && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then
      am__fastdepCC_TRUE=
      am__fastdepCC_FALSE='#'
    else
      am__fastdepCC_TRUE='#'
      am__fastdepCC_FALSE=
    fi
    
    
    
    ac_cpp='$CXXCPP $CPPFLAGS'
    ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
    
    if test -n "$ac_tool_prefix"; then
      for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
    
      do
        # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
    set dummy $ac_tool_prefix$ac_prog; ac_word=$2
    
    echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    
    if test "${ac_cv_prog_CXX+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
    else
      if test -n "$CXX"; then
      ac_cv_prog_CXX="$CXX" # Let the user override the test.
    else
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
    
      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    
        ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
    
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    
        break 2
      fi
    done
    done
    
    fi
    fi
    CXX=$ac_cv_prog_CXX
    if test -n "$CXX"; then
    
      echo "$as_me:$LINENO: result: $CXX" >&5
    echo "${ECHO_T}$CXX" >&6
    
      echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6
    
    fi
    
        test -n "$CXX" && break
      done
    fi
    if test -z "$CXX"; then
      ac_ct_CXX=$CXX
    
      for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
    
    do
      # Extract the first word of "$ac_prog", so it can be a program name with args.
    set dummy $ac_prog; ac_word=$2
    
    echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    
    if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
    else
      if test -n "$ac_ct_CXX"; then
      ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
    else
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
    
      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    
        ac_cv_prog_ac_ct_CXX="$ac_prog"
    
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    
        break 2
      fi
    done
    done
    
    fi
    fi
    ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
    if test -n "$ac_ct_CXX"; then
    
      echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5
    echo "${ECHO_T}$ac_ct_CXX" >&6
    
      echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6
    
    fi
    
      test -n "$ac_ct_CXX" && break
    done
    
    test -n "$ac_ct_CXX" || ac_ct_CXX="g++"
    
      CXX=$ac_ct_CXX
    
    # Provide some information about the compiler.
    
    echo "$as_me:$LINENO:" \
         "checking for C++ compiler version" >&5
    ac_compiler=`set X $ac_compile; echo $2`
    { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
      (eval $ac_compiler --version </dev/null >&5) 2>&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
    
      (exit $ac_status); }
    
    { (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
      (eval $ac_compiler -v </dev/null >&5) 2>&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
    
      (exit $ac_status); }
    
    { (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
      (eval $ac_compiler -V </dev/null >&5) 2>&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
    
    echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5
    echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
    
    if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
    else
      cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    
    int
    main ()
    {
    #ifndef __GNUC__
           choke me
    #endif
    
      ;
      return 0;
    }
    _ACEOF
    rm -f conftest.$ac_objext
    
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>conftest.er1
    
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
    	 { ac_try='test -z "$ac_cxx_werror_flag"
    			 || test ! -s conftest.err'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; } &&
    	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
    
      ac_compiler_gnu=yes
    else
    
      echo "$as_me: failed program was:" >&5
    
    sed 's/^/| /' conftest.$ac_ext >&5
    
    
    ac_compiler_gnu=no
    
    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    
    ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
    
    fi
    
    echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5
    echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
    GXX=`test $ac_compiler_gnu = yes && echo yes`
    
    ac_test_CXXFLAGS=${CXXFLAGS+set}
    ac_save_CXXFLAGS=$CXXFLAGS
    
    CXXFLAGS="-g"
    echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5
    echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
    
    if test "${ac_cv_prog_cxx_g+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
      cat >conftest.$ac_ext <<_ACEOF
    
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    
    int
    main ()
    {
    
      ;
      return 0;
    }
    _ACEOF
    rm -f conftest.$ac_objext
    
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>conftest.er1
    
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
    	 { ac_try='test -z "$ac_cxx_werror_flag"
    			 || test ! -s conftest.err'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; } &&
    	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
    
      ac_cv_prog_cxx_g=yes
    else
    
      echo "$as_me: failed program was:" >&5
    
    sed 's/^/| /' conftest.$ac_ext >&5
    
    
    ac_cv_prog_cxx_g=no
    fi
    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    fi
    echo "$as_me:$LINENO: result: $ac_cv_prog_cxx_g" >&5
    echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
    if test "$ac_test_CXXFLAGS" = set; then
      CXXFLAGS=$ac_save_CXXFLAGS
    elif test $ac_cv_prog_cxx_g = yes; then
      if test "$GXX" = yes; then
        CXXFLAGS="-g -O2"
      else
        CXXFLAGS="-g"
      fi
    else
      if test "$GXX" = yes; then
        CXXFLAGS="-O2"
      else
        CXXFLAGS=
      fi
    fi
    for ac_declaration in \
       '' \
       'extern "C" void std::exit (int) throw (); using std::exit;' \
       'extern "C" void std::exit (int); using std::exit;' \
       'extern "C" void exit (int) throw ();' \
       'extern "C" void exit (int);' \
       'void exit (int);'
    do
      cat >conftest.$ac_ext <<_ACEOF
    
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    
    $ac_declaration
    #include <stdlib.h>
    
      ;
      return 0;
    }
    _ACEOF
    rm -f conftest.$ac_objext
    
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>conftest.er1
    
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
    	 { ac_try='test -z "$ac_cxx_werror_flag"
    			 || test ! -s conftest.err'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; } &&
    	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
    
      echo "$as_me: failed program was:" >&5
    
    sed 's/^/| /' conftest.$ac_ext >&5
    
    
    continue
    fi
    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
      cat >conftest.$ac_ext <<_ACEOF
    
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    
    $ac_declaration
    
      ;
      return 0;
    }
    _ACEOF
    rm -f conftest.$ac_objext
    
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>conftest.er1
    
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
    	 { ac_try='test -z "$ac_cxx_werror_flag"
    			 || test ! -s conftest.err'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; } &&
    	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
      break
    
      echo "$as_me: failed program was:" >&5
    
    sed 's/^/| /' conftest.$ac_ext >&5
    
    
    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    rm -f conftest*
    if test -n "$ac_declaration"; then
      echo '#ifdef __cplusplus' >>confdefs.h
      echo $ac_declaration      >>confdefs.h
      echo '#endif'             >>confdefs.h
    
    ac_ext=c
    ac_cpp='$CPP $CPPFLAGS'
    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    ac_compiler_gnu=$ac_cv_c_compiler_gnu
    
    echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
    echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6
    
    if test "${am_cv_CXX_dependencies_compiler_type+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
    else
      if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
      # We make a subdir and do the tests there.  Otherwise we can end up
      # making bogus files that we don't know about and never remove.  For
      # instance it was reported that on HP-UX the gcc test will end up
      # making a dummy file named `D' -- because `-MD' means `put the output
      # in D'.
    
      mkdir conftest.dir
      # Copy depcomp to subdir because otherwise we won't find it if we're
      # using a relative directory.
      cp "$am_depcomp" conftest.dir
      cd conftest.dir
      # We will build objects and dependencies in a subdirectory because
      # it helps to detect inapplicable dependency modes.  For instance
      # both Tru64's cc and ICC support -MD to output dependencies as a
      # side effect of compilation, but ICC will put the dependencies in
      # the current directory while Tru64 will put them in the object
      # directory.
      mkdir sub
    
      am_cv_CXX_dependencies_compiler_type=none
      if test "$am_compiler_list" = ""; then
         am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
      fi
      for depmode in $am_compiler_list; do
        # Setup a source with many dependencies, because some compilers
        # like to wrap large dependency lists on column 80 (with \), and
        # we should not choose a depcomp mode which is confused by this.
        #
        # We need to recreate these files for each test, as the compiler may
        # overwrite some of them when testing with obscure command lines.
        # This happens at least with the AIX C compiler.
        : > sub/conftest.c
        for i in 1 2 3 4 5 6; do
          echo '#include "conftst'$i'.h"' >> sub/conftest.c
          # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
          # Solaris 8's {/usr,}/bin/sh.
          touch sub/conftst$i.h
        done
        echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
    
        case $depmode in
        nosideeffect)
          # after this tag, mechanisms are not by side-effect, so they'll
          # only be used when explicitly requested
          if test "x$enable_dependency_tracking" = xyes; then
    	continue
          else
    	break
          fi
          ;;
        none) break ;;
        esac
        # We check with `-c' and `-o' for the sake of the "dashmstdout"
        # mode.  It turns out that the SunPro C++ compiler does not properly
        # handle `-M -o', and we need to detect this.
        if depmode=$depmode \
           source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
           depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
           $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
             >/dev/null 2>conftest.err &&
           grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
           grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
           ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
          # icc doesn't choke on unknown options, it will just issue warnings
          # or remarks (even with -Werror).  So we grep stderr for any message
          # that says an option was ignored or not supported.
          # When given -MP, icc 7.0 and 7.1 complain thusly:
          #   icc: Command line warning: ignoring option '-M'; no argument required
          # The diagnosis changed in icc 8.0:
          #   icc: Command line remark: option '-MP' not supported
          if (grep 'ignoring option' conftest.err ||
              grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
            am_cv_CXX_dependencies_compiler_type=$depmode
            break
          fi
        fi
      done
    
      cd ..
      rm -rf conftest.dir
    else
      am_cv_CXX_dependencies_compiler_type=none
    fi
    
    fi
    
    echo "$as_me:$LINENO: result: $am_cv_CXX_dependencies_compiler_type" >&5
    echo "${ECHO_T}$am_cv_CXX_dependencies_compiler_type" >&6
    
    CXXDEPMODE=depmode=$am_cv_CXX_dependencies_compiler_type
    
    
      test "x$enable_dependency_tracking" != xno \
      && test "$am_cv_CXX_dependencies_compiler_type" = gcc3; then
      am__fastdepCXX_TRUE=
      am__fastdepCXX_FALSE='#'
    else
      am__fastdepCXX_TRUE='#'
      am__fastdepCXX_FALSE=
    fi
    
    
    
    # Check whether --enable-shared or --disable-shared was given.
    if test "${enable_shared+set}" = set; then
      enableval="$enable_shared"
      p=${PACKAGE-default}
        case $enableval in
        yes) enable_shared=yes ;;
        no) enable_shared=no ;;
        *)
          enable_shared=no
          # Look at the argument we got.  We use all the common list separators.
          lt_save_ifs="$IFS"; IFS="${IFS}$PATH_SEPARATOR,"
          for pkg in $enableval; do
    	IFS="$lt_save_ifs"
    	if test "X$pkg" = "X$p"; then
    	  enable_shared=yes
    	fi
          done
          IFS="$lt_save_ifs"
          ;;
        esac
    else
      enable_shared=yes
    fi;
    
    # Check whether --enable-static or --disable-static was given.
    if test "${enable_static+set}" = set; then
      enableval="$enable_static"
      p=${PACKAGE-default}
        case $enableval in
        yes) enable_static=yes ;;
        no) enable_static=no ;;
        *)
         enable_static=no
          # Look at the argument we got.  We use all the common list separators.
          lt_save_ifs="$IFS"; IFS="${IFS}$PATH_SEPARATOR,"
          for pkg in $enableval; do
    	IFS="$lt_save_ifs"
    	if test "X$pkg" = "X$p"; then
    	  enable_static=yes
    	fi
          done
          IFS="$lt_save_ifs"
          ;;
        esac
    else
      enable_static=yes
    fi;
    
    # Check whether --enable-fast-install or --disable-fast-install was given.
    if test "${enable_fast_install+set}" = set; then
      enableval="$enable_fast_install"
      p=${PACKAGE-default}
        case $enableval in
        yes) enable_fast_install=yes ;;
        no) enable_fast_install=no ;;
        *)
          enable_fast_install=no
          # Look at the argument we got.  We use all the common list separators.
          lt_save_ifs="$IFS"; IFS="${IFS}$PATH_SEPARATOR,"
          for pkg in $enableval; do
    	IFS="$lt_save_ifs"
    	if test "X$pkg" = "X$p"; then
    	  enable_fast_install=yes
    	fi
          done
          IFS="$lt_save_ifs"
          ;;
        esac
    else
      enable_fast_install=yes
    fi;
    
    
    # Make sure we can run config.sub.
    
    $ac_config_sub sun4 >/dev/null 2>&1 ||
      { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
    echo "$as_me: error: cannot run $ac_config_sub" >&2;}
    
       { (exit 1); exit 1; }; }
    
    
    echo "$as_me:$LINENO: checking build system type" >&5
    echo $ECHO_N "checking build system type... $ECHO_C" >&6
    
    if test "${ac_cv_build+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    else
      ac_cv_build_alias=$build_alias
    test -z "$ac_cv_build_alias" &&
      ac_cv_build_alias=`$ac_config_guess`
    test -z "$ac_cv_build_alias" &&
      { { echo "$as_me:$LINENO: error: cannot guess build type; you must specify one" >&5
    echo "$as_me: error: cannot guess build type; you must specify one" >&2;}
    
       { (exit 1); exit 1; }; }
    
    ac_cv_build=`$ac_config_sub $ac_cv_build_alias` ||
      { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_build_alias failed" >&5
    echo "$as_me: error: $ac_config_sub $ac_cv_build_alias failed" >&2;}
    
       { (exit 1); exit 1; }; }
    
    fi
    
    echo "$as_me:$LINENO: result: $ac_cv_build" >&5
    echo "${ECHO_T}$ac_cv_build" >&6
    
    build=$ac_cv_build
    
    build_cpu=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
    build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
    build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
    
    echo "$as_me:$LINENO: checking host system type" >&5
    echo $ECHO_N "checking host system type... $ECHO_C" >&6
    if test "${ac_cv_host+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    else
      ac_cv_host_alias=$host_alias
    test -z "$ac_cv_host_alias" &&
      ac_cv_host_alias=$ac_cv_build_alias
    ac_cv_host=`$ac_config_sub $ac_cv_host_alias` ||
      { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_host_alias failed" >&5
    echo "$as_me: error: $ac_config_sub $ac_cv_host_alias failed" >&2;}
    
    echo "$as_me:$LINENO: result: $ac_cv_host" >&5
    echo "${ECHO_T}$ac_cv_host" >&6
    host=$ac_cv_host
    host_cpu=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
    host_vendor=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
    host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
    
    echo "$as_me:$LINENO: checking for a sed that does not truncate output" >&5
    echo $ECHO_N "checking for a sed that does not truncate output... $ECHO_C" >&6
    if test "${lt_cv_path_SED+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
      # Loop through the user's path and test for sed and gsed.
    # Then use that list of sed's as ones to test for truncation.
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
    
      for lt_ac_prog in sed gsed; do
    
        for ac_exec_ext in '' $ac_executable_extensions; do
    
          if $as_executable_p "$as_dir/$lt_ac_prog$ac_exec_ext"; then
            lt_ac_sed_list="$lt_ac_sed_list $as_dir/$lt_ac_prog$ac_exec_ext"
          fi
    
    IFS=$as_save_IFS
    
    lt_ac_max=0
    lt_ac_count=0
    # Add /usr/xpg4/bin/sed as it is typically found on Solaris
    # along with /bin/sed that truncates output.
    for lt_ac_sed in $lt_ac_sed_list /usr/xpg4/bin/sed; do
      test ! -f $lt_ac_sed && continue
      cat /dev/null > conftest.in
      lt_ac_count=0
      echo $ECHO_N "0123456789$ECHO_C" >conftest.in
      # Check for GNU sed and select it if it is found.
      if "$lt_ac_sed" --version 2>&1 < /dev/null | grep 'GNU' > /dev/null; then
        lt_cv_path_SED=$lt_ac_sed
        break
    
      while true; do
        cat conftest.in conftest.in >conftest.tmp
        mv conftest.tmp conftest.in
        cp conftest.in conftest.nl
        echo >>conftest.nl
        $lt_ac_sed -e 's/a$//' < conftest.nl >conftest.out || break
        cmp -s conftest.out conftest.nl || break
        # 10000 chars as input seems more than enough
        test $lt_ac_count -gt 10 && break
        lt_ac_count=`expr $lt_ac_count + 1`
        if test $lt_ac_count -gt $lt_ac_max; then
          lt_ac_max=$lt_ac_count
          lt_cv_path_SED=$lt_ac_sed